com.independentsoft.exchange

## Class SearchMailboxesResponse

- java.lang.Object
- - com.independentsoft.exchange.Response
  - - com.independentsoft.exchange.SearchMailboxesResponse

-     public class SearchMailboxesResponse
      extends Response

  The Class SearchMailboxesResponse.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<FailedMailbox>` | `getFailedMailboxes()` Gets the failed mailboxes.
    `int` | `getItemCount()` Gets the item count.
    `java.util.List<PreviewItem>` | `getItems()` Gets the items.
    `java.util.List<KeywordStatisticsSearchResult>` | `getKeywordStatisticsSearchResults()` Gets the keyword statistics search results.
    `java.util.List<MailboxQuery>` | `getMailboxQueries()` Gets the mailbox queries.
    `java.util.List<MailboxStatisticsItem>` | `getMailboxStatisticsItems()` Gets the mailbox statistics items.
    `int` | `getPageItemCount()` Gets the page item count.
    `int` | `getPageItemSize()` Gets the page item size.
    `java.util.List<RefinerItem>` | `getRefiners()` Gets the refiners.
    `SearchResultType` | `getResultType()` Gets the result type.
    `int` | `getSize()` Gets the size.

    - ### Methods inherited from class com.independentsoft.exchange.Response

      `getDescriptiveLinkKey, getMessage, getResponseClass, getResponseCode, getServerVersionInfo, getXmlMessage, setServerVersionInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMailboxQueries

          public java.util.List<MailboxQuery> getMailboxQueries()

      Gets the mailbox queries.
      Returns:
        the mailbox queries

    - #### getResultType

          public SearchResultType getResultType()

      Gets the result type.
      Returns:
        the result type

    - #### getItemCount

          public int getItemCount()

      Gets the item count.
      Returns:
        the item count

    - #### getSize

          public int getSize()

      Gets the size.
      Returns:
        the size

    - #### getPageItemCount

          public int getPageItemCount()

      Gets the page item count.
      Returns:
        the page item count

    - #### getPageItemSize

          public int getPageItemSize()

      Gets the page item size.
      Returns:
        the page item size

    - #### getKeywordStatisticsSearchResults

          public java.util.List<KeywordStatisticsSearchResult> getKeywordStatisticsSearchResults()

      Gets the keyword statistics search results.
      Returns:
        the keyword statistics search results

    - #### getItems

          public java.util.List<PreviewItem> getItems()

      Gets the items.
      Returns:
        the items

    - #### getFailedMailboxes

          public java.util.List<FailedMailbox> getFailedMailboxes()

      Gets the failed mailboxes.
      Returns:
        the failed mailboxes

    - #### getRefiners

          public java.util.List<RefinerItem> getRefiners()

      Gets the refiners.
      Returns:
        the refiners

    - #### getMailboxStatisticsItems

          public java.util.List<MailboxStatisticsItem> getMailboxStatisticsItems()

      Gets the mailbox statistics items.
      Returns:
        the mailbox statistics items